#ifndef POINT_H
#define POINT_H

#include <fstream>

using namespace std;


class Point{
	public:
		double x;
		double y;

		Point();
		Point(double x, double y);
		Point(const Point & pt);

		void operator=(const Point & pt);
		bool operator==(const Point &pt);
		bool operator!=(const Point &pt);
		friend ofstream & operator<<(ofstream & out, const Point &pt);
		friend ifstream & operator>>(ifstream & in, Point &pt);

		string toString();

		~Point();
};

#endif
